### Method

# GcrUi UnlockOptionsWidget set_ttl

#### Declaration [src]

    void
    gcr_unlock_options_widget_set_ttl (
      GcrUnlockOptionsWidget* self,
      guint ttl
    )

#### Description [src]

Set the current setting for the timeout. This can be set even when the currently selected option does not have a timeout.

Sets property | `GcrUi.UnlockOptionsWidget:ttl`

#### Parameters

`ttl`

  Type: `guint`

  The timeout to set, in seconds.